Author Topic: Hulu Desktop missing flash  (Read 6853 times)

Riggs

  • Guru
  • ****
  • Posts: 185
    • View Profile
    • Kotonix LLC
Hulu Desktop missing flash
« on: June 17, 2010, 10:44:59 pm »
upon a reinstall of LMCE i install Hulu, after a restart and a complete regen Hulu reports there is no flash so i follow the wiki http://wiki.linuxmce.org/index.php/Installing_Flash there download link did not work only flash 10 is available from adobe, so i tried the wiki with flash 10 but it did not work.
Dell XPS Gen5 P4 3.2Ghz 64 x2, 3Gbs Ram, GeForce 8600GT 1Gb VRam, Creative Audigy 2 ZS, LinuxMCE 10.04 32bit,, 2 Eth Cards, Comcast business 25Mbs/5Mbs. Zwave, X10, Vera 3.

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5499
  • DOES work for LinuxMCE.
    • View Profile
Re: Hulu Desktop missing flash
« Reply #1 on: June 18, 2010, 01:45:31 am »
This has never happened in any of the test installs we've done. We deliberately install Flash.

-Thom

lmwashere

  • Veteran
  • ***
  • Posts: 79
    • View Profile
Re: Hulu Desktop missing flash
« Reply #2 on: June 18, 2010, 04:49:10 pm »
Well it has now happened to 2 beta testers. I installed hulu desktop today and also got the flash error.

I am sure that flash is installed, but there is an issue in there somewhere.

Riggs

  • Guru
  • ****
  • Posts: 185
    • View Profile
    • Kotonix LLC
Re: Hulu Desktop missing flash
« Reply #3 on: June 18, 2010, 06:38:42 pm »
I can test the latest snapshot (LinuxMCE-8.10-23082-i386.iso 18-Jun-2010 08:16  3.8G)
Dell XPS Gen5 P4 3.2Ghz 64 x2, 3Gbs Ram, GeForce 8600GT 1Gb VRam, Creative Audigy 2 ZS, LinuxMCE 10.04 32bit,, 2 Eth Cards, Comcast business 25Mbs/5Mbs. Zwave, X10, Vera 3.

Riggs

  • Guru
  • ****
  • Posts: 185
    • View Profile
    • Kotonix LLC
Re: Hulu Desktop missing flash
« Reply #4 on: June 19, 2010, 04:01:18 am »
Re-installed with above mentioned snapshot and i still get the same error.
Dell XPS Gen5 P4 3.2Ghz 64 x2, 3Gbs Ram, GeForce 8600GT 1Gb VRam, Creative Audigy 2 ZS, LinuxMCE 10.04 32bit,, 2 Eth Cards, Comcast business 25Mbs/5Mbs. Zwave, X10, Vera 3.

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5499
  • DOES work for LinuxMCE.
    • View Profile
Re: Hulu Desktop missing flash
« Reply #5 on: June 19, 2010, 04:06:13 am »
can you print me the contents of your /root/.huludesktop file and the output of dpkg -s flashplugin-nonfree (assuming of course, you did not manually install it.)

-Thom

lmwashere

  • Veteran
  • ***
  • Posts: 79
    • View Profile
Re: Hulu Desktop missing flash
« Reply #6 on: June 19, 2010, 07:40:20 am »
josh@dcerouter:~$ dpkg -s flashplugin-nonfree
Package: flashplugin-nonfree
Status: install ok installed
Priority: optional
Section: contrib/web
Installed-Size: 164
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Architecture: i386
Version: 10.0.45.2ubuntu0.8.10.1
Replaces: flashplugin (<< 6)
Depends: debconf | debconf-2.0, wget, libgtk2.0-0, fontconfig, libxt6, libxext6, libatk1.0-0, libc6, libcairo2, libexpat1, libfontconfig1, libfreetype6, libglib2.0-0, libice6, libpango1.0-0, libpng12-0, libsm6, libx11-6, libxau6, libxcursor1, libxdmcp6, libxfixes3, libxi6, libxinerama1, libxrandr2, libxrender1, zlib1g
Recommends: libasound2-plugins (>= 1.0.16)
Suggests: firefox, xulrunner-1.9, firefox-3.0, konqueror-nsplugins, x-ttcidfont-conf, msttcorefonts, ttf-bitstream-vera | ttf-dejavu, ttf-xfree86-nonfree, xfs (>= 1:1.0.1-5)
Conflicts: flashplayer-mozilla, flashplugin (<< 6), libflashsupport, xfs (<< 1:1.0.1-5)
Description: Adobe Flash Player plugin installer
 This package will download the Flash Player from Adobe.  It is a
 Netscape/Mozilla type plugin.  Any browser based on Netscape or Mozilla can
 use the Flash plugin.  This package currently supports the following browsers:
 Mozilla, Mozilla-Firefox, Firefox, Iceweasel, and Iceape.  Also Galeon and
 Epiphany can use the Flash plugin.  Konqueror can also use the Flash plugin if
 konqueror-nsplugins is installed.
 .
 WARNING: Installing this Ubuntu package causes the Adobe flash plugin to be
 downloaded from www.adobe.com.  The distribution license of the Adobe flash
 plugin is available at www.adobe.com.  Installing this Ubuntu package implies
 that you have accepted the terms of that license.
Homepage: http://wiki.ubuntu.com/FlashPlayer9
Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a, aa5ca914-c309-495d-91cf-3141bbb04115
Npp-Description: Adobe Flash SWF Player (http://www.adobe.com)
Npp-File: libflashplayer.so
Npp-Mimetype: application/x-shockwave-flash
Npp-Name: Adobe Flash Player (installer)
Original-Maintainer: Bart Martens <bartm@knars.be>
josh@dcerouter:~$


Contents of .huludesktop:

[display]
fullscreen = FALSE
width = 640
height = 480
pos_x = 0
pos_y = 0

[remote]
lirc_device = /tmp/hulu_lircd
lirc_remote_identifier = mceusb
lirc_release_suffix = _UP
lirc_repeat_threshold = 10
button_name_up = Up
button_name_down = Down
button_name_left = Left
button_name_right = Right
button_name_select = OK
button_name_menu = Home

[flash]
flash_location = /usr/lib/mozilla/plugins/flashplugin-alternative.so

[screensaver]
suspend_script = (null)
resume_script = (null)

[version]
latest = (null)
eula_version = 1

Thanks,


tschak909

  • LinuxMCE God
  • ****
  • Posts: 5499
  • DOES work for LinuxMCE.
    • View Profile
Re: Hulu Desktop missing flash
« Reply #7 on: June 19, 2010, 07:46:41 am »
These tell me you should not be having a problem at all.

-Thom

lmwashere

  • Veteran
  • ***
  • Posts: 79
    • View Profile
Re: Hulu Desktop missing flash
« Reply #8 on: June 19, 2010, 07:58:51 am »
interesting......

I am not at home, I got that info over ssh. I will try it again in the morning.


Riggs

  • Guru
  • ****
  • Posts: 185
    • View Profile
    • Kotonix LLC
Re: Hulu Desktop missing flash
« Reply #9 on: June 19, 2010, 06:23:35 pm »
Here is mine too, they look the same

dpkg -s flashplugin-nonfree

Package: flashplugin-nonfree
Status: install ok installed
Priority: optional
Section: contrib/web
Installed-Size: 164
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Architecture: i386
Version: 10.0.45.2ubuntu0.8.10.1
Replaces: flashplugin (<< 6)
Depends: debconf | debconf-2.0, wget, libgtk2.0-0, fontconfig, libxt6, libxext6, libatk1.0-0, libc6, libcairo2, libexpat1, libfontconfig1, libfreetype6, libglib2.0-0, libice6, libpango1.0-0, libpng12-0, libsm6, libx11-6, libxau6, libxcursor1, libxdmcp6, libxfixes3, libxi6, libxinerama1, libxrandr2, libxrender1, zlib1g
Recommends: libasound2-plugins (>= 1.0.16)
Suggests: firefox, xulrunner-1.9, firefox-3.0, konqueror-nsplugins, x-ttcidfont-conf, msttcorefonts, ttf-bitstream-vera | ttf-dejavu, ttf-xfree86-nonfree, xfs (>= 1:1.0.1-5)
Conflicts: flashplayer-mozilla, flashplugin (<< 6), libflashsupport, xfs (<< 1:1.0.1-5)
Description: Adobe Flash Player plugin installer
 This package will download the Flash Player from Adobe.  It is a
 Netscape/Mozilla type plugin.  Any browser based on Netscape or Mozilla can
 use the Flash plugin.  This package currently supports the following browsers:
 Mozilla, Mozilla-Firefox, Firefox, Iceweasel, and Iceape.  Also Galeon and
 Epiphany can use the Flash plugin.  Konqueror can also use the Flash plugin if
 konqueror-nsplugins is installed.
 .
 WARNING: Installing this Ubuntu package causes the Adobe flash plugin to be
 downloaded from www.adobe.com.  The distribution license of the Adobe flash
 plugin is available at www.adobe.com.  Installing this Ubuntu package implies
 that you have accepted the terms of that license.
Homepage: http://wiki.ubuntu.com/FlashPlayer9
Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a, aa5ca914-c309-495d-91cf-3141bbb04115
Npp-Description: Adobe Flash SWF Player (http://www.adobe.com)
Npp-File: libflashplayer.so
Npp-Mimetype: application/x-shockwave-flash
Npp-Name: Adobe Flash Player (installer)
Original-Maintainer: Bart Martens <bartm@knars.be>


.huludesktop

[display]
fullscreen = FALSE
width = 640
height = 480
pos_x = 0
pos_y = 0

[remote]
lirc_device = /tmp/hulu_lircd
lirc_remote_identifier = mceusb
lirc_release_suffix = _UP
lirc_repeat_threshold = 10
button_name_up = Up
button_name_down = Down
button_name_left = Left
button_name_right = Right
button_name_select = OK
button_name_menu = Home

[flash]
flash_location = /usr/lib/mozilla/plugins/flashplugin-alternative.so

[screensaver]
suspend_script = (null)
resume_script = (null)

[version]
latest = (null)
eula_version = 1
Dell XPS Gen5 P4 3.2Ghz 64 x2, 3Gbs Ram, GeForce 8600GT 1Gb VRam, Creative Audigy 2 ZS, LinuxMCE 10.04 32bit,, 2 Eth Cards, Comcast business 25Mbs/5Mbs. Zwave, X10, Vera 3.

lmwashere

  • Veteran
  • ***
  • Posts: 79
    • View Profile
Re: Hulu Desktop missing flash
« Reply #10 on: June 19, 2010, 10:33:28 pm »
nope, still have the same issue, on hybrid and md. I attached a screenshot of the error message.

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5499
  • DOES work for LinuxMCE.
    • View Profile
Re: Hulu Desktop missing flash
« Reply #11 on: June 19, 2010, 10:34:49 pm »
can you guys do
Code: [Select]
sudo find / -name libflash*.so

Thanks.
-Thom

Riggs

  • Guru
  • ****
  • Posts: 185
    • View Profile
    • Kotonix LLC
Re: Hulu Desktop missing flash
« Reply #12 on: June 20, 2010, 01:18:36 am »
sudo find / -name libflash*.so

/usr/lib/openoffice/program/libflash680li.so

that the only output
Dell XPS Gen5 P4 3.2Ghz 64 x2, 3Gbs Ram, GeForce 8600GT 1Gb VRam, Creative Audigy 2 ZS, LinuxMCE 10.04 32bit,, 2 Eth Cards, Comcast business 25Mbs/5Mbs. Zwave, X10, Vera 3.

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5499
  • DOES work for LinuxMCE.
    • View Profile
Re: Hulu Desktop missing flash
« Reply #13 on: June 20, 2010, 01:23:23 am »
that's bizarre.

apt-get install flashplugin-nonfree ???

-Thom

Riggs

  • Guru
  • ****
  • Posts: 185
    • View Profile
    • Kotonix LLC
Re: Hulu Desktop missing flash
« Reply #14 on: June 20, 2010, 01:25:44 am »
flashplugin-nonfree is already the newest version.
flashplugin-nonfree set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Dell XPS Gen5 P4 3.2Ghz 64 x2, 3Gbs Ram, GeForce 8600GT 1Gb VRam, Creative Audigy 2 ZS, LinuxMCE 10.04 32bit,, 2 Eth Cards, Comcast business 25Mbs/5Mbs. Zwave, X10, Vera 3.